Debian Bug report logs - #324607
RM: memprof -- RoQA; orphaned for 200 days, RC bugs

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Adam Majer <adamm@zombino.com>

Date: Mon, 22 Aug 2005 23:18:15 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#324607; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adam Majer <adamm@zombino.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Majer <adamm@zombino.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: memprof -- Memory profiler and leak detector
Date: Mon, 22 Aug 2005 18:08:09 -0500
Package: wnpp
Severity: normal

memprof is now quite dated. The last release was 3 years ago (Aug 31,
2002). Anyone picking up this package will probably need to take up the
upstream fixing of bugs as well. Current upstream is at,

http://www.gnome.org/projects/memprof/

There are a number of much better memory checkers than memprof. For an
example, just look at valgrind. This package probably should be removed
from Debian if no one picks it up.


Description: Memory profiler and leak detector
 Memprof is a tool for profiling memory usage and detecting memory
 leaks. It can be used with existing binaries without need for
 recompilation.
   



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#324607; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Emilian Nowak <emil5@go2.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 324607@bugs.debian.org (full text, mbox):

From: Emilian Nowak <emil5@go2.pl>
To: 324607@bugs.debian.org
Subject: Re: O: memprof -- Memory profiler and leak detector
Date: Mon, 23 Jan 2006 07:14:29 +0100
Adam Majer wrote:

> There are a number of much better memory checkers than memprof. For an
> example, just look at valgrind. This package probably should be removed
> from Debian if no one picks it up.
No valgrid is completely different type of software. Memprof is nice
user-friendly, with gui etc... and It was useful :-P

If you check their mailing-list you'll find out  that there are some people
interested in developing memprof. 

Probably all current bugs can be fixed by applaying this patch:
http://mail.gnome.org/archives/memprof-list/2005-December/msg00002.html



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#324607; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 324607@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 324607@bugs.debian.org
Cc: control@bugs.debian.org, debian-qa@lists.debian.org
Subject: RM: memprof -- RoQA; orphaned for 200 days, RC bugs
Date: Mon, 13 Mar 2006 12:47:12 +0100
retitle 324607 RM: memprof -- RoQA; orphaned for 200 days, RC bugs
reassign 324607 ftp.debian.org
block 119793 by 324607
block 309577 by 324607
block 349295 by 324607
block 349453 by 324607
thanks

I think we should remove memprof.

  * Orphaned for 202 days.
  * 2 RC bugs (unusable).
  * Graphical alternatives: alleyoop, kmtrace.
  * Last upstream release in 2002:
    <http://ftp.gnome.org/pub/GNOME/sources/memprof/0.5/memprof-0.5.1.tar.gz>
  * popcon: 457 installations, 72 votes.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 324607 Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 324607 Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 324607 Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 324607 Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adam Majer <adamm@zombino.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 324607-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 324607-close@bugs.debian.org
Cc: memprof@packages.debian.org, memprof@packages.qa.debian.org
Subject: Bug#324607: fixed
Date: Wed, 22 Mar 2006 05:20:29 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   memprof |   0.5.1-12 | source, i386

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 324607@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 12:15:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:26:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.